summaryrefslogtreecommitdiff
path: root/common
diff options
context:
space:
mode:
authorBotao Sun <botao.sun@linaro.org>2014-10-23 18:37:25 +1100
committerMilosz Wasilewski <milosz.wasilewski@linaro.org>2014-10-30 10:28:06 +0000
commite430fe4843c9211a52897885b76ecc7f0f3417a4 (patch)
tree3a08f3e220d2a96e6a0080029605effc2c87aa8c /common
parent4bd3e5f190b56961cbc4f17e362942aadd3d61da (diff)
test-host.sh: POSIX Compliant Update.
Add license declaration. Update the script to POSIX Compliant. Original patch comes from: Lucas Dutra Nunes <ldnunes@ossystems.com.br> Signed-off by: Botao Sun <botao.sun@linaro.org> Change-Id: I92abc61fca359b1ad579775e84ecff6b87b76fd3
Diffstat (limited to 'common')
-rwxr-xr-xcommon/scripts/kvm/test-host.sh21
1 files changed, 20 insertions, 1 deletions
diff --git a/common/scripts/kvm/test-host.sh b/common/scripts/kvm/test-host.sh
index 38556c3..42089eb 100755
--- a/common/scripts/kvm/test-host.sh
+++ b/common/scripts/kvm/test-host.sh
@@ -1,7 +1,26 @@
#!/bin/sh
+#
+# Copyright (C) 2010 - 2014, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Maintainer: Riku Voipio <riku.voipio@linaro.org>
echo "Compile hackbench"
-if hash curl 2>/dev/null; then
+curl 2>/dev/null
+if [ $? = 2 ]; then
DOWNLOAD_FILE="curl -SOk"
else
DOWNLOAD_FILE="wget --progress=dot -e dotbytes=2M --no-check-certificate"